be.fgov.ehealth.messageservices.core.v1

## Class SendTransactionResponse

- java.lang.Object
- - be.fgov.ehealth.messageservices.core.v1.SendTransactionResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:04:15+01:00",
                 comments="JAXB RI v2.2.11")
      public class SendTransactionResponse
      extends Object
      implements Serializable

  Java class for SendTransactionResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SendTransactionResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="response" type="{http://www.ehealth.fgov.be/messageservices/core/v1}ResponseType"/>
               <element name="acknowledge" type="{http://www.ehealth.fgov.be/messageservices/core/v1}AcknowledgeType"/>
               <element name="kmehrmessage" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}kmehrmessageType" minOccurs="0"/>
             </sequence>
             <attribute name="messageProtocoleSchemaVersion" type="{http://www.w3.org/2001/XMLSchema}decimal" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SendTransactionResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AcknowledgeType` | `getAcknowledge()` Gets the value of the acknowledge property.
    `Kmehrmessage` | `getKmehrmessage()` Gets the value of the kmehrmessage property.
    `BigDecimal` | `getMessageProtocoleSchemaVersion()` Gets the value of the messageProtocoleSchemaVersion property.
    `ResponseType` | `getResponse()` Gets the value of the response property.
    `void` | `setAcknowledge(AcknowledgeType value)` Sets the value of the acknowledge property.
    `void` | `setKmehrmessage(Kmehrmessage value)` Sets the value of the kmehrmessage property.
    `void` | `setMessageProtocoleSchemaVersion(BigDecimal value)` Sets the value of the messageProtocoleSchemaVersion property.
    `void` | `setResponse(ResponseType value)` Sets the value of the response property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SendTransactionResponse

          public SendTransactionResponse()

  - ### Method Detail

    - #### getResponse

          public ResponseType getResponse()

      Gets the value of the response property.
      Returns:
        possible object is `ResponseType`

    - #### setResponse

          public void setResponse(ResponseType value)

      Sets the value of the response property.
      Parameters:
        `value` - allowed object is `ResponseType`

    - #### getAcknowledge

          public AcknowledgeType getAcknowledge()

      Gets the value of the acknowledge property.
      Returns:
        possible object is `AcknowledgeType`

    - #### setAcknowledge

          public void setAcknowledge(AcknowledgeType value)

      Sets the value of the acknowledge property.
      Parameters:
        `value` - allowed object is `AcknowledgeType`

    - #### getKmehrmessage

          public Kmehrmessage getKmehrmessage()

      Gets the value of the kmehrmessage property.
      Returns:
        possible object is `Kmehrmessage`

    - #### setKmehrmessage

          public void setKmehrmessage(Kmehrmessage value)

      Sets the value of the kmehrmessage property.
      Parameters:
        `value` - allowed object is `Kmehrmessage`

    - #### getMessageProtocoleSchemaVersion

          public BigDecimal getMessageProtocoleSchemaVersion()

      Gets the value of the messageProtocoleSchemaVersion property.
      Returns:
        possible object is `BigDecimal`

    - #### setMessageProtocoleSchemaVersion

          public void setMessageProtocoleSchemaVersion(BigDecimal value)

      Sets the value of the messageProtocoleSchemaVersion property.
      Parameters:
        `value` - allowed object is `BigDecimal`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.